Register a release for a surface
curl --request POST \
--url https://api.interfere.com/v3/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"provider": "github",
"commitMessage": "<string>",
"branch": "<string>",
"commitSha": "<string>",
"runnerName": "<string>",
"runId": "<string>",
"runUrl": "<string>"
},
"destination": {
"provider": "vercel",
"destinationReleaseId": "<string>",
"environment": "<string>",
"deploymentId": "<string>",
"deploymentUrl": "<string>",
"environmentName": "<string>",
"environmentTarget": "<string>"
},
"buildId": "<string>",
"slug": "<string>",
"producerVersion": "<string>"
}
'import requests
url = "https://api.interfere.com/v3/releases"
payload = {
"source": {
"provider": "github",
"commitMessage": "<string>",
"branch": "<string>",
"commitSha": "<string>",
"runnerName": "<string>",
"runId": "<string>",
"runUrl": "<string>"
},
"destination": {
"provider": "vercel",
"destinationReleaseId": "<string>",
"environment": "<string>",
"deploymentId": "<string>",
"deploymentUrl": "<string>",
"environmentName": "<string>",
"environmentTarget": "<string>"
},
"buildId": "<string>",
"slug": "<string>",
"producerVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
provider: 'github',
commitMessage: '<string>',
branch: '<string>',
commitSha: '<string>',
runnerName: '<string>',
runId: '<string>',
runUrl: '<string>'
},
destination: {
provider: 'vercel',
destinationReleaseId: '<string>',
environment: '<string>',
deploymentId: '<string>',
deploymentUrl: '<string>',
environmentName: '<string>',
environmentTarget: '<string>'
},
buildId: '<string>',
slug: '<string>',
producerVersion: '<string>'
})
};
fetch('https://api.interfere.com/v3/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org": {
"id": "<string>",
"slug": "<string>"
},
"surface": {
"id": "<string>",
"slug": "<string>"
},
"source": {
"id": "<string>"
},
"destination": {
"id": "<string>",
"slug": "<string>",
"environment": "<string>"
},
"build": {
"hash": "<string>"
}
}{
"code": "AUTH_MISSING",
"message": "<string>",
"service": "collector"
}{
"code": "AUTH_AK_SCOPE_MISMATCH",
"message": "<string>",
"service": "collector"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>",
"service": "collector"
}Register a release for a surface
POST
/
v3
/
releases
Register a release for a surface
Authorizations
apiKeyapiKeyHeader
Build-time secret key of the surface, as issued in the Interfere dashboard
Body
application/json
Request body for creating a release.
Response
Release recorded
Response body returned after creating a release.
Was this page helpful?
⌘I